/* download.h: download helpers
 * 
 * Copyright (C) 2003 Russ Dill <Russ.Dill@asu.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: download.h,v 1.1 2003/09/04 17:46:59 russd Exp $
 */

#ifndef BLOB_DOWNLOAD_H
#define BLOB_DOWNLOAD_H 1

#include <main.h>

extern blob_status_t blob_status;

void PrintSerialSpeed(serial_baud_t speed);
int set_download_parameters(char *name, u32 *startAddress, 
				int *bufLen, int **numRead, u32 **digest);
void do_md5sum(u32 *addr, size_t len, u32 *digest);
int SetDownloadSpeed(int argc, char *argv[]);
int do_reload(char *what);

#endif
