/* monahans_df.h
 * 
 * Created by stanley cai (stanley.cai@intel.com)
 *
 * (C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 *
 * Note:
 *   This is a private file which will NOT be release without any modification. The file
 * may include some source codes from other open source. There is no warranty to the code.
 *   -stanley
 */
extern void nand_command(struct nand_chip *nand, int cmd, int col, int page, int cs);
extern int nand_waitready(struct nand_chip *nand, int ale_wait);
extern void nand_readbuf(struct nand_chip *nand, u8* buf, int cntr);
extern void nand_writebuf(struct nand_chip *nand, u8* buf, int cntr);

/* NAND_ENABLE_CE/NAND_DISABLE_CE will be empty in Monahans DF driver 
 * coz monahans DF controller will enable/disable CE pin.
 */
#define NAND_ENABLE_CE
#define NAND_DISABLE_CE


/* read NAND IO ADDR and return a byte */
#define READ_NAND(addr) (*((u32*)(addr)))
#define WRITE_NAND
#define NAND_WAIT_READY(nand)	udelay(25)

