/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *(C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 */

#ifndef XLLP_SSP_PLAT_H
#define XLLP_SSP_PLAT_H

#include "xllp_defs.h"

#include "xllp_ssp_cpu.h"
#include "xllp_ssp_peri.h"

typedef enum 
{
	XLLP_SSP_ZL_CEDAR_CREEK,
	XLLP_SSP_ZL_BT_BUS,
	XLLP_SSP_ZL_WM9713
} XLLP_SSP_PLAT_PORT_T;

XLLP_STATUS_T XllpSSPMFPConfigure(XLLP_SSP_PLAT_PORT_T sspPort, XLLP_SSP_CONFIG_T sspConfig, XLLP_BOOL_T active, XLLP_UINT32_T mfpBaseAddress, XLLP_SSP_REGISTER_T *pSSPReg);

#endif //XLLP_SSP_PLAT_H
