/*
 * reboot.c: Reboot board
 *
 * Copyright (C) 2001-2003  Erik Mouw (J.A.K.Mouw@its.tudelft.nl)
 *
 * $Id: reboot.c,v 1.6 2003/01/04 02:15:07 erikm Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ident "$Id: reboot.c,v 1.6 2003/01/04 02:15:07 erikm Exp $"

#ifdef HAVE_CONFIG_H
# include <blob/config.h>
#endif

#include <blob/debug.h>
#include <blob/util.h>
#include <blob/reboot.h>




reboot_driver_t *reboot_driver;




void reboot_system(void)
{
	if(reboot_driver == NULL) {
		deprintf("reboot_driver == NULL, can't reboot!\n");
		return;
	}

	reboot_driver->reboot();
}
