/*
 * crc32.h: calculate CRC32
 *
 * Copyright (C) 2002  Erik Mouw <J.A.K.Mouw@its.tudelft.nl> and
 *                     Jan-Derk Bakker <J.D.Bakker@its.tudelft.nl>
 *   based on linux/drivers/net/am79c961a.c
 * Copyright (C) 1995-2001 Russell King <rmk@arm.linux.org.uk>
 *
 * $Id: crc32.h,v 1.3 2002/01/21 13:13:33 erikm Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ident "$Id: crc32.h,v 1.3 2002/01/21 13:13:33 erikm Exp $"

#ifndef BLOB_CRC32_H
#define BLOB_CRC32_H


#include <blob/types.h>


u32 crc32(u32 val, const void *data, int len);


#endif
