/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *(C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 */

#ifndef __XLLP_SSP_PERI_H__
#define __XLLP_SSP_PERI_H__

#include "xllp_defs.h"
#include "xllp_ssp_cpu.h"
#include "xllp_dmac.h"

typedef enum 
{
	XLLP_SSP_CEDARCREEK_I2S,
	XLLP_SSP_BT,
	XLLP_SSP_USER_DEF
} XLLP_SSP_CONFIG_T;

typedef enum 
{
	XLLP_SSP_MASTER,
	XLLP_SSP_SLAVE
} XLLP_SSP_OP_STATE_T;

XLLP_STATUS_T XllpSSPPortConfigure (XLLP_SSP_CONFIG_T sspConfig, XLLP_SSP_PORT_SETUP_T *, XLLP_SSP_OP_STATE_T opState, XLLP_SSP_REGISTER_T *pReg);
XLLP_STATUS_T XllpSSPDMADescriptor (XLLP_UINT32_T portNo, XLLP_SSP_CONFIG_T sspConfigure,  XLLP_BOOL_T dataDirectionTx, XLLP_UINT32_T dataLength, XLLP_UINT32_T bufferPhy, XLLP_UINT32_T nextDescPhy, XLLP_UINT32_T dmaInterruptMask,  P_XLLP_DMAC_DESCRIPTOR_T pDescriptor);

#endif //XLLP_SSP_PERI_H
