/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *(C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 */

/**
**  FILENAME:       xllp_serialization.h
**
**  PURPOSE: Header file for serialization OS wrapper.  
**           
**					 
**            
**                  
**
******************************************************************************/
#ifndef __XLLP_SERIALIZATION_H
#define __XLLP_SERIALIZATION_H

#include "xllp_defs.h"
typedef enum {
	XLLP_RESOURCE_I2C = 0,
	XLLP_RESOURCE_MFPR,          // MFP registers
	XLLP_RESOURCE_MFPR_RM,       // MFP resource manager
	XLLP_RESOURCE_ID_COUNT,
	XLLP_RESOURCE_CLK_EN
} XLLP_PROTECTED_RESOURCES_ID_T; // more IDs might be added


XLLP_STATUS_T XllpLock(XLLP_PROTECTED_RESOURCES_ID_T  resourceID);
XLLP_STATUS_T XllpUnlock(XLLP_PROTECTED_RESOURCES_ID_T  resourceID);


#endif
